| Flutter Impeller |

Public Member Functions | List of all members
impeller::interop::DisplayList Class Referencefinal

`#include <dl.h>`

Inheritance diagram for impeller::interop::DisplayList:

## Public Member Functions
| DisplayList (sk_sp< flutter::DisplayList > display_list)
| ~DisplayList () override
| DisplayList (const DisplayList &)=delete
DisplayList & | operator= (const DisplayList &)=delete
bool | IsValid () const
const sk_sp< flutter::DisplayList > | GetDisplayList () const
Public Member Functions inherited from impeller::interop::ObjectBase
| ObjectBase ()=default
virtual | ~ObjectBase ()=default
| ObjectBase (const ObjectBase &)=delete
| ObjectBase (ObjectBase &&)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
ObjectBase & | operator= (ObjectBase &&)=delete
void | Retain ()
void | Release ()
uint64_t | GetRefCountForTests () const

## Additional Inherited Members
Public Types inherited from impeller::interop::Object< DisplayList, IMPELLER_INTERNAL_HANDLE_NAME(ImpellerDisplayList)>
using | InteropClass = DisplayList
using | InteropCSibling = IMPELLER_INTERNAL_HANDLE_NAME(ImpellerDisplayList)
Static Public Member Functions inherited from impeller::interop::ObjectBase
static void | SafeRetain (void *ptr)
static void | SafeRelease (void *ptr)

## Detailed Description

Definition at line 14 of file dl.h.

## Constructor & Destructor Documentation

## ◆ DisplayList() [1/2]

impeller::interop::DisplayList::DisplayList | ( | sk_sp< flutter::DisplayList > | display_list | ) |
| explicit

Definition at line 9 of file dl.cc.

10 : display_list_(std::move(display_list)) {}

## ◆ ~DisplayList()

impeller::interop::DisplayList::~DisplayList | ( |  | ) |
| overridedefault

## ◆ DisplayList() [2/2]

impeller::interop::DisplayList::DisplayList | ( | const DisplayList & |  | ) |
| delete

## Member Function Documentation

## ◆ GetDisplayList()

const sk_sp< flutter::DisplayList > impeller::interop::DisplayList::GetDisplayList | ( |  | ) | const

Definition at line 18 of file dl.cc.

18 {
19 return display_list_;
20 }

Referenced by impeller::interop::Surface::DrawDisplayList(), and impeller::interop::DisplayListBuilder::DrawDisplayList().

## ◆ IsValid()

bool impeller::interop::DisplayList::IsValid | ( |  | ) | const

Definition at line 14 of file dl.cc.

14 {
15 return !!display_list_;
16 }

Referenced by impeller::interop::Surface::DrawDisplayList().

## ◆ operator=()

DisplayList& impeller::interop::DisplayList::operator= | ( | const DisplayList & |  | ) |
| delete

The documentation for this class was generated from the following files:

- impeller/toolkit/interop/dl.h
- impeller/toolkit/interop/dl.cc